Categories:
  - System
License: GPL-3.0-or-later
AuthorName: Juan Nascimento
SourceCode: https://github.com/Ruan625Br/FileManagerSphere
IssueTracker: https://github.com/Ruan625Br/FileManagerSphere/issues
Translation: https://hosted.weblate.org/engage/filemanagersphere/
Changelog: https://github.com/Ruan625Br/FileManagerSphere/releases

AutoName: FileManagerSphere

RepoType: git
Repo: https://github.com/Ruan625Br/FileManagerSphere
Binaries: https://github.com/Ruan625Br/FileManagerSphere/releases/download/v%v/FileManagerSphere-v%v.apk

Builds:
  - versionName: 1.1.1
    versionCode: 3
    commit: 265c8693eef157cb7752721b808276391373af1e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'assets/*.json'

  - versionName: 1.1.2
    versionCode: 4
    commit: 057226fcbbf6a38c7bdd3cf90f94e91dd85127fc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'assets/*.json'

AllowedAPKSigningKeys: dea7975f267a5ac76e5d2ea5be0d0adeb4e7e1b98f46fa209514b6397a2127bb

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.1.2
CurrentVersionCode: 4
